Page MenuHomePhabricator

Update ownership list on [[mw:Developers/Maintainers]]
Closed, ResolvedPublic

Description

This was mentioned as one item in the Developer Summit session T114419 and hence is a subtask of T101686.

Tentatively assigning to Legoktm - feel free to re/un-assign, adjust priority, edit the task summary...

From T114419:

Action items:
@Legoktm: update the ownership list on https://www.mediawiki.org/wiki/Developers/Maintainers

Related Objects

StatusSubtypeAssignedTask
ResolvedQgil
ResolvedDicortazar
DuplicateQgil
ResolvedQgil
ResolvedQgil
InvalidNone
InvalidNone
ResolvedQgil
ResolvedAklapper
OpenNone
DeclinedNone
OpenNone
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedDicortazar
ResolvedDicortazar
ResolvedAcs
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
InvalidDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedAklapper
ResolvedDicortazar
ResolvedDicortazar
DuplicateNone
ResolvedDicortazar
ResolvedBawolff
Resolvedmmodell
ResolvedNone
Resolvedmmodell
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedNone
Resolvedgreg
ResolvedLegoktm
Resolvedtstarling
Resolvedgreg

Event Timeline

Aklapper created this task.Feb 29 2016, 1:23 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 29 2016, 1:23 PM
Qgil moved this task from To triage to Team radar on the Developer-Advocacy board.Mar 8 2016, 10:57 AM

Meanwhile, over on T115852: Fix unclear maintenance responsibilities for some parts of MediaWiki core repository

At the arch summit I said I would work on this after the 1.27 release, and it kind of dropped off my radar. I'll work on this later this week.

Thanks @Legoktm!

Aklapper triaged this task as Medium priority.Jul 13 2016, 8:14 PM
greg added a subscriber: greg.Jul 22 2016, 10:28 PM
Krinkle moved this task from Inbox to Backlog on the Architecture board.Mar 29 2017, 8:51 PM
Elitre added a subscriber: Elitre.Jun 6 2017, 6:06 AM

I see it's being updated: how do we know when it's (basically) done?

greg added a comment.Jun 6 2017, 6:47 PM

It will never be done ;)

I think for the purposes of this task it probably is done. Since this task was filed (with not a whole lot of discussion on the plans in it) a lot has changed: https://www.mediawiki.org/w/index.php?title=Developers%2FMaintainers&type=revision&diff=2483315&oldid=2079907

@Legoktm are you ok with resolving this task? Do you remember any specifics there were in mind for this task that weren't written down and not yet done?

greg added a comment.Jun 6 2017, 6:49 PM

See also the work I (and others) did on T115854

Quiddity added a comment.EditedJun 6 2017, 9:44 PM

(1) Checking the page matches the current situation:
It might be good to go through that page, updating it based on the currently in-use extensions.
E.g. I see Extension:UserMerge is listed in the "Key extensions" section, whereas it should be in the "MediaWiki extensions deployed by WMF" section. (my mistake, it was already there)
I'm not sure where there's a canonical list of "currently installed extensions"?

(2) Not part of the initial task, but... updating/verifying
https://www.mediawiki.org/wiki/Upstream_projects
would probably be equally valuable?

greg added a comment.Jun 6 2017, 9:57 PM

(1) Checking the page matches the current situation:
It might be good to go through that page, updating it based on the currently in-use extensions.
E.g. I see Extension:UserMerge is listed in the "Key extensions" section, whereas it should be in the "MediaWiki extensions deployed by WMF" section.
I'm not sure where there's a canonical list of "currently installed extensions"?

https://phabricator.wikimedia.org/source/mediawiki-config/browse/master/wmf-config/extension-list

https://phabricator.wikimedia.org/source/mediawiki-config/browse/master/wmf-config/extension-list

Thanks! Using that and the other 2 extension-list-x pages in that directory, I've updated Developers/Maintainers a bit more (following on James' large updates).

Idk whether Upstream_projects is worth worrying about here/now. (I've poked at it a bit)

Status is back to where Greg left it:

@Legoktm are you ok with resolving this task? Do you remember any specifics there were in mind for this task that weren't written down and not yet done?

In T128370#3320100 on June 6th, @greg wrote:

@Legoktm are you ok with resolving this task? Do you remember any specifics there were in mind for this task that weren't written down and not yet done?

@Legoktm: Last call before I will declare that you (and some others) fixed this task. :P (Thanks for that!)

Aklapper closed this task as Resolved.Aug 4 2017, 12:08 PM

@Legoktm: Last call before I will declare that you (and some others) fixed this task. :P (Thanks for that!)

And.... resolving. If there is still work to track, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!

Qgil awarded a token.Aug 7 2017, 10:51 AM